%define scummvmdir %{_datadir}/scummvm/

Name:		beneath-a-steel-sky
Summary:	An adventure game using ScummVM
Version:	1.2
Release:	%mkrel 7
Source0:	http://prdownloads.sourceforge.net/scummvm/bass-cd-%{version}.tar.bz2
Source1:	bass-48.png
Source2:	bass-32.png
Source3:	bass-16.png
License:	Freeware
Url:		http://scummvm.org
Group:		Games/Adventure
BuildRequires:	unzip
Requires:	scummvm
BuildArch:	noarch

%description
A science-fiction thriller set in a bleak post-apocalyptic vision
of the future, Beneath a Steel Sky revolves around "Union City",
where selfishness, rivalry, and corruption by its citizens
seem to be all too common, and those who can afford it live
underground, away from the pollution and social problems
which are plaguing the city.

You take on the role of Robert Foster, an outcast of sorts
from the city, since he was a boy, who was raised in a remote
environment outside of Union City simply termed "the gap". Robert's
mother took him away from Union City as a child on their way to "Hobart"
but the helicopter crashed on its way, unfortunately Robert's
mother dies, but he survives and is left to be raised by a
local tribe from the gap.

Years later, Union City security drops by and abducts
Robert, killing his tribe in the process; upon reaching
the city the helicopter taking him there crashes with
him escaping, high upon a tower block in the middle of the
city he sets out to discover the truth about his past,
and to seek vengeance for the killing of his tribe.

This game was released by Revolution studio to help the ScummVM
project. However, this is not a free game ( at least not
free-as-in-speech ), even if the source code can be seen. That's why it
belongs at the nonfree repository.

%prep
%setup -q -n bass-cd-%{version}
%build

%install
mkdir -p %{buildroot}/%{scummvmdir}/%{name}
cp sky* %{buildroot}/%{scummvmdir}/%{name}

mkdir -p %{buildroot}%{_menudir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Beneath a steel sky
Comment=%{summary}
Exec=%{_gamesbindir}/scummvm -p %{scummvmdir}/%{name} sky
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF
install -m 644 -D %SOURCE1 %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 -D %SOURCE2 %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 -D %SOURCE3 %{buildroot}%{_miconsdir}/%{name}.png

%files
%doc readme.txt
%{scummvmdir}/%{name}
%{_datadir}/applications/*.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 743323
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-6.mga5.nonfree
+ Revision: 678140
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.2-5.mga4.nonfree
+ Revision: 548327
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2-4.mga3.nonfree
+ Revision: 346892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 10 2012 shlomif <shlomif> 1.2-3.mga3.nonfree
+ Revision: 280445
- Correct some typos and got rid of trailing space.
  In the .spec.

* Mon Sep 26 2011 zezinho <zezinho> 1.2-2.mga2.nonfree
+ Revision: 149023
- bump release
- licence corrected

* Mon Sep 26 2011 zezinho <zezinho> 1.2-1.mga2.nonfree
+ Revision: 149012
- imported package beneath-a-steel-sky


* Thu Jan 28 2010 Götz Waschk <goetz@zarb.org> 1.2-3plf2010.1
- add PLF reason
- update menu category
- remove old menu

* Fri Aug 18 2006 Götz Waschk <goetz@zarb.org> 1.2-2plf2007.0
- add xdg menu
- add an icon

* Wed Nov  2 2005 Götz Waschk <goetz@zarb.org> 1.2-1plf
- source URL
- new version

* Sat Oct 25 2003 Michael Scherer <scherer.michael@free.fr> 1.0-1plf
- initial spec
- menu file
